#Dim All
#REGISTER NONE
#COMPILE EXE
#OPTION VERSION4

' The following constants define the minimum required platform.  The minimum required
' platform is the earliest version of Windows, Internet Explorer etc. that has the
' necessary features to run your application.  Wnen defined, they enable features
' available on platform versions up to and including the version specified.
%NTDDI_VERSION                          		= &H05010000
%WINVER                                 		= &H0501
%WIN32_WINNT                            		= &H0501
%WIN32_IE                               		= &H0600
%UNICODE                                		= 1

#Include Once "WIN32API.INC"

#Include Once "Layout32_sll.inc"

#Link "Layout32.sll"

#Resource Manifest, 1, "FlickerFree.xml"

'--------------------------- [ Control Identifiers ] ---------------------------

%IDC_FORM1_GROUP1                           = 101
%IDC_FORM1_RADIO1                           = 102
%IDC_FORM1_RADIO2                           = 103
%IDC_FORM1_RADIO3                           = 104
%IDC_FORM1_RADIO4                           = 105
%IDC_FORM1_GROUP2                           = 107
%IDC_FORM1_RADIO5                           = 108
%IDC_FORM1_RADIO6                           = 109
%IDC_FORM1_RADIO7                           = 110
%IDC_FORM1_RADIO8                           = 111

Global  hDlg          As DWord    ' handle of top-level dialog

'-------------------------------------------------------------------------------

FUNCTION PBMAIN () AS LONG

  Dialog New Pixels, 0, "Reducing Flickering", , , 286, 165, %WS_OverlappedWindow Or %WS_ThickFrame Or %WS_SysMenu Or _
    %WS_ClipChildren Or %WS_Visible Or %DS_ModalFrame Or %DS_3DLook Or %DS_NoFailCreate Or %DS_SetFont, _
    %WS_Ex_ControlParent Or %WS_Ex_Composited, To hDlg

  Control Add Option, hDlg, %IDC_FORM1_RADIO1, "Radio1", 24, 39, 104, 21, %WS_Child Or %WS_Visible Or %WS_ClipSiblings Or _
    %WS_TabStop Or %BS_AutoRadioButton Or %BS_Left Or %BS_VCenter
  Control Add Option, hDlg, %IDC_FORM1_RADIO2, "Radio2", 24, 66, 104, 21, %WS_Child Or %WS_Visible Or %WS_ClipSiblings Or _
    %WS_TabStop Or %BS_AutoRadioButton Or %BS_Left Or %BS_VCenter
  Control Add Option, hDlg, %IDC_FORM1_RADIO3, "Radio3", 24, 93, 104, 21, %WS_Child Or %WS_Visible Or %WS_ClipSiblings Or _
    %WS_TabStop Or %BS_AutoRadioButton Or %BS_Left Or %BS_VCenter
  Control Add Option, hDlg, %IDC_FORM1_RADIO4, "Radio4", 24, 120, 104, 21, %WS_Child Or %WS_Visible Or %WS_ClipSiblings Or _
    %WS_TabStop Or %BS_AutoRadioButton Or %BS_Left Or %BS_VCenter
  Control Add Frame, hDlg, %IDC_FORM1_GROUP1, "Group1", 12, 12, 128, 141, %WS_Child Or %WS_Visible Or %WS_ClipSiblings Or _
    %WS_Group Or %BS_Groupbox, %WS_Ex_Transparent

  Control Add Option, hDlg, %IDC_FORM1_RADIO5, "Radio5", 158, 39, 104, 21, %WS_Child Or %WS_Visible Or %WS_ClipSiblings Or _
    %WS_TabStop Or %BS_AutoRadioButton Or %BS_Left Or %BS_VCenter
  Control Add Option, hDlg, %IDC_FORM1_RADIO6, "Radio6", 158, 66, 104, 21, %WS_Child Or %WS_Visible Or %WS_ClipSiblings Or _
    %WS_TabStop Or %BS_AutoRadioButton Or %BS_Left Or %BS_VCenter
  Control Add Option, hDlg, %IDC_FORM1_RADIO7, "Radio7", 158, 93, 104, 21, %WS_Child Or %WS_Visible Or %WS_ClipSiblings Or _
    %WS_TabStop Or %BS_AutoRadioButton Or %BS_Left Or %BS_VCenter
  Control Add Option, hDlg, %IDC_FORM1_RADIO8, "Radio8", 158, 120, 104, 21, %WS_Child Or %WS_Visible Or %WS_ClipSiblings Or _
    %WS_TabStop Or %BS_AutoRadioButton Or %BS_Left Or %BS_VCenter
  Control Add Frame, hDlg, %IDC_FORM1_GROUP2, "Group2", 146, 12, 128, 141, %WS_Child Or %WS_Visible Or %WS_ClipSiblings Or _
    %WS_Group Or %BS_Groupbox, %WS_Ex_Transparent

  ' Rules
  Layout_AddRule hDlg, %MOVE, %LEFT, %IDC_FORM1_GROUP2, %WIDTH
  Layout_AddRule hDlg, %MOVE, %LEFT, MakLng(%IDC_FORM1_RADIO5, %IDC_FORM1_RADIO8), %LEFT, %IDC_FORM1_GROUP2
  Layout_AddRule hDlg, %STRETCH, %RIGHT, MakLng(%IDC_FORM1_GROUP2, %IDC_FORM1_RADIO8), %RIGHT
  Layout_AddRule hDlg, %STRETCH, %RIGHT, MakLng(%IDC_FORM1_GROUP1, %IDC_FORM1_RADIO4), %LEFT, %IDC_FORM1_GROUP2
  ' Limits
  Layout_AddLimit hDlg, %FORM, 294, 202, 0, 202

  ' Display the dialog box
  Dialog Show Modal hDlg, Call Form1_DialogProc

End Function

'-------------------------------------------------------------------------------

CallBack Function Form1_DialogProc

  Local trc     As RECT
  Local tlb     As LOGBRUSH
  Local hBrush  As DWord

  Select Case Cb.Msg
    Case %WM_Command
    Case %WM_ERASEBKGND
      Dialog Get Client hDlg To trc.nRight, trc.nBottom
      ' Create custom brush
      tlb.lbStyle = %BS_SOLID
      tlb.lbColor = &H00A09E5F???
      tlb.lbHatch = 0
      hBrush = CreateBrushIndirect(tlb)
      ' Erase background
      FillRect Cb.WParam, trc, hBrush
      DeleteObject hBrush
      FUNCTION = %TRUE

    Case %WM_CTLCOLORSTATIC

      Select Case GetParent(Cb.LParam)
        Case hDlg

          Select Case GetDlgCtrlID(Cb.LParam)
            Case %IDC_FORM1_GROUP1 To %IDC_FORM1_RADIO8
              SetBkMode Cb.WParam, %TRANSPARENT
              ' Return handle of brush used to paint background
              FUNCTION = GetStockObject(%NULL_BRUSH)
          End Select

      END SELECT

  End Select

End Function



