#Dim All
#REGISTER NONE
#COMPILE EXE
#OPTION VERSION4

%NTDDI_VERSION                          		= &H05010000
%WINVER                                 		= &H0501
%WIN32_WINNT                            		= &H0501
%WIN32_IE                               		= &H0600
%UNICODE                                		= 1

#Include Once "WIN32API.INC"

#Include Once "Layout32_sll.inc"

#Link "Layout32.sll"

#Resource Manifest, 1, "OtherUses.xml"

'--------------------------- [ Control Identifiers ] ---------------------------

' Form1
%IDC_FORM1_FIRSTNAME                        = 101
%IDC_FORM1_LASTNAME                         = 102
%IDC_FORM1_NOTES                            = 103
%IDC_FORM1_FIRSTNAMELBL                     = 104
%IDC_FORM1_LASTNAMELBL                      = 105
%IDC_FORM1_NOTESLBL                         = 106

Global  hDlg          As DWord    ' handle of top-level dialog

'-------------------------------------------------------------------------------

FUNCTION PBMAIN () AS LONG

  Dialog New Pixels, 0, "Customer Info", , , 250, 202, %WS_OverlappedWindow Or %WS_ThickFrame Or %WS_SysMenu Or _
    %WS_ClipChildren Or %WS_Visible Or %DS_ModalFrame Or %DS_3DLook Or %DS_NoFailCreate Or %DS_SetFont, _
    %WS_Ex_ControlParent, To hDlg

  Control Add Label, hDlg, %IDC_FORM1_FIRSTNAMELBL,  "First Name:", 150, 142, 63, 21, %WS_Child Or %WS_Visible Or %WS_ClipSiblings Or _
    %WS_Group Or %SS_Left
  Control Add TextBox, hDlg, %IDC_FORM1_FIRSTNAME, "", 81, 12, 72, 21, %WS_Child Or %WS_Visible Or %WS_ClipSiblings Or _
    %WS_TabStop Or %ES_Left Or %ES_AutoHScroll, %WS_Ex_ClientEdge
  Control Add Label, hDlg, %IDC_FORM1_LASTNAMELBL,  "Last Name:", 33, 154, 63, 21, %WS_Child Or %WS_Visible Or %WS_ClipSiblings Or _
    %WS_Group Or %SS_Left
  Control Add TextBox, hDlg, %IDC_FORM1_LASTNAME, "", 33, 66, 89, 21, %WS_Child Or %WS_Visible Or %WS_ClipSiblings Or _
    %WS_TabStop Or %ES_Left Or %ES_AutoHScroll, %WS_Ex_ClientEdge
  Control Add Label, hDlg, %IDC_FORM1_NOTESLBL,  "Notes", 144, 95, 56, 21, %WS_Child Or %WS_Visible Or %WS_ClipSiblings Or _
    %WS_Group Or %SS_Center Or %SS_CenterImage
  Control Add TextBox, hDlg, %IDC_FORM1_NOTES, "", 81, 81, 72, 41, %WS_Child Or %WS_Visible Or %WS_HScroll Or %WS_VScroll Or _
   %WS_ClipSiblings Or %WS_TabStop Or %ES_Left Or %ES_AutoHScroll Or %ES_AutoVScroll Or %ES_MultiLine, %WS_Ex_ClientEdge
  Control Add Button, hDlg, %IdOk, "OK(Layout)", 21, 109, 75, 23, %WS_Child Or %WS_Visible Or %WS_ClipSiblings Or _
    %WS_TabStop Or %BS_PushButton Or %BS_Center Or %BS_VCenter
  Control Add Button, hDlg, %IdCancel, "Cancel", 138, 66, 75, 23, %WS_Child Or %WS_Visible Or %WS_ClipSiblings Or _
    %WS_TabStop Or %BS_PushButton Or %BS_Center Or %BS_VCenter

  ' Display the dialog box
  Dialog Show Modal hDlg, Call Form1_DialogProc

END FUNCTION

'-------------------------------------------------------------------------------

CallBack Function Form1_DialogProc

  Select Case Cb.Msg
    Case %WM_Command

      Select Case Cb.Ctl
        Case %IdOk
          If Cb.CtlMsg = %BN_Clicked Then
            Layout_Clear hDlg
            ' Rules
            Layout_AddRule hDlg, %Move, %Left, %IDC_FORM1_FIRSTNAMELBL, %Left, %Form, 12
            Layout_AddRule hDlg, %Move, %Top, %IDC_FORM1_FIRSTNAMELBL, %Top, %Form, 15
            Layout_AddRule hDlg, %Stretch, %Right, %IDC_FORM1_FIRSTNAMELBL, %Left, %IDC_FORM1_FIRSTNAMELBL, 63
            Layout_AddRule hDlg, %Stretch, %Bottom, %IDC_FORM1_FIRSTNAMELBL, %Top, %IDC_FORM1_FIRSTNAMELBL, 21

            Layout_AddRule hDlg, %Move, %Left, %IDC_FORM1_FIRSTNAME, %Right, %IDC_FORM1_FIRSTNAMELBL, 6
            Layout_AddRule hDlg, %Move, %Top, %IDC_FORM1_FIRSTNAME, %Top, %Form, 12
            Layout_AddRule hDlg, %Stretch, %Right, %IDC_FORM1_FIRSTNAME, %Right, %Form, -12
            Layout_AddRule hDlg, %Stretch, %Bottom, %IDC_FORM1_FIRSTNAME, %Top, %IDC_FORM1_FIRSTNAME, 21

            Layout_AddRule hDlg, %Move, %Left, %IDC_FORM1_LASTNAMELBL, %Left, %Form, 12
            Layout_AddRule hDlg, %Move, %Top, %IDC_FORM1_LASTNAMELBL, %Top, %Form, 42
            Layout_AddRule hDlg, %Stretch, %Right, %IDC_FORM1_LASTNAMELBL, %Left, %IDC_FORM1_LASTNAMELBL, 63
            Layout_AddRule hDlg, %Stretch, %Bottom, %IDC_FORM1_LASTNAMELBL, %Top, %IDC_FORM1_LASTNAMELBL, 21

            Layout_AddRule hDlg, %Move, %Left, %IDC_FORM1_LASTNAME, %Right, %IDC_FORM1_LASTNAMELBL, 6
            Layout_AddRule hDlg, %Move, %Top, %IDC_FORM1_LASTNAME, %Top, %Form, 39
            Layout_AddRule hDlg, %Stretch, %Right, %IDC_FORM1_LASTNAME, %Right, %Form, -12
            Layout_AddRule hDlg, %Stretch, %Bottom, %IDC_FORM1_LASTNAME, %Top, %IDC_FORM1_LASTNAME, 21


            Layout_AddRule hDlg, %Move, %Left, %IDC_FORM1_NOTES, %Left, %Form, 81
            Layout_AddRule hDlg, %Move, %Top, %IDC_FORM1_NOTES, %Top, %Form, 87
            Layout_AddRule hDlg, %Stretch, %Right, %IDC_FORM1_NOTES, %Right, %Form, -12
            Layout_AddRule hDlg, %Stretch, %Bottom, %IDC_FORM1_NOTES, %Bottom, %Form, -58

            Layout_AddRule hDlg, %HCenter, %Control, %IDC_FORM1_NOTESLBL, %Control, %IDC_FORM1_NOTES
            Layout_AddRule hDlg, %Move, %Bottom, %IDC_FORM1_NOTESLBL, %Top, %IDC_FORM1_NOTES, 0

            Layout_AddRule hDlg, %Move, %Left, %IdCancel, %Right, %IdOk, 6
            Layout_AddRule hDlg, %HCenter, %Group, MakLng(%IdOk, %IdCancel)
            Layout_AddRule hDlg, %Move, %Bottom, MakLng(%IdOk, %IdCancel), %Bottom, %Form, -12

            ' Limits
            Layout_AddLimit hDlg, %Form, 258, 239

            SendMessage hDlg, %WM_Size, 0, 0
          End If

        Case %IdCancel
      End Select

  End Select

End Function
