#Dim All
#REGISTER NONE
#COMPILE EXE
#OPTION VERSION4

' Notes
' This sample uses four sets of rules to change the way controls resize.

' The following constants define the minimum required platform.  The minimum required
' platform is the earliest version of Windows, Internet Explorer etc. that has the
' necessary features to run your application.  Wnen defined, they enable features
' available on platform versions up to and including the version specified.
%NTDDI_VERSION                          		= &H05010000
%WINVER                                 		= &H0501
%WIN32_WINNT                            		= &H0501
%WIN32_IE                               		= &H0600
%UNICODE                                		= 1

#Include Once "WIN32API.INC"
#Include Once "COMMCTRL.INC"

#Include Once "Layout32_sll.inc"

#Link "Layout32.sll"

#Resource Manifest, 1, "Fun.xml"

'--------------------------- [ Control Identifiers ] ---------------------------

%IDC_FORM1_EDIT1                            = 101
%IDC_FORM1_EDIT2                            = 102
%IDC_FORM1_EDIT3                            = 103
%IDC_FORM1_EDIT4                            = 104
%IDC_FORM1_EDIT5                            = 105
%IDC_FORM1_EDIT6                            = 106
%IDC_FORM1_TEXTBTN1                         = 107
%IDC_FORM1_TEXTBTN2                         = 108
%IDC_FORM1_TEXTBTN3                         = 109
%IDC_FORM1_TEXTBTN4                         = 110
%IDC_FORM1_TEXTBTN5                         = 111
%IDC_FORM1_TEXTBTN6                         = 112
%IDC_FORM1_LISTVIEW1                        = 113
%IDC_FORM1_RADIO1                           = 114
%IDC_FORM1_RADIO2                           = 115
%IDC_FORM1_RADIO3                           = 116
%IDC_FORM1_RADIO4                           = 117

Global  hDlg          As DWord    ' handle of top-level dialog

'-------------------------------------------------------------------------------

FUNCTION PBMAIN () AS LONG

  Dialog New Pixels, 0, "Fun with Rules", , , 519, 219, %WS_OverlappedWindow Or %WS_ThickFrame Or %WS_SysMenu Or _
    %WS_ClipChildren Or %WS_Visible Or %DS_ModalFrame Or %DS_3DLook Or %DS_NoFailCreate Or %DS_SetFont, _
    %WS_Ex_ControlParent, To hDlg

  Control Add TextBox, hDlg, %IDC_FORM1_EDIT1, "Edit1", 12, 12, 211, 21, %WS_Child Or %WS_Visible Or %WS_ClipSiblings Or _
    %WS_TabStop Or %ES_Left Or %ES_AutoHScroll, %WS_Ex_ClientEdge
  Control Add Button, hDlg, %IDC_FORM1_TEXTBTN1, "Button1", 229, 12, 75, 23, %WS_Child Or %WS_Visible Or %WS_ClipSiblings Or _
    %WS_TabStop Or %BS_PushButton Or %BS_Center Or %BS_VCenter
  Control Add TextBox, hDlg, %IDC_FORM1_EDIT2, "Edit2", 12, 41, 211, 21, %WS_Child Or %WS_Visible Or %WS_ClipSiblings Or _
    %WS_TabStop Or %ES_Left Or %ES_AutoHScroll, %WS_Ex_ClientEdge
  Control Add Button, hDlg, %IDC_FORM1_TEXTBTN2, "Button2", 229, 41, 75, 23, %WS_Child Or %WS_Visible Or %WS_ClipSiblings Or _
    %WS_TabStop Or %BS_PushButton Or %BS_Center Or %BS_VCenter
  Control Add TextBox, hDlg, %IDC_FORM1_EDIT3, "Edit3", 12, 70, 211, 21, %WS_Child Or %WS_Visible Or %WS_ClipSiblings Or _
    %WS_TabStop Or %ES_Left Or %ES_AutoHScroll, %WS_Ex_ClientEdge
  Control Add Button, hDlg, %IDC_FORM1_TEXTBTN3, "Button3", 229, 70, 75, 23, %WS_Child Or %WS_Visible Or %WS_ClipSiblings Or _
    %WS_TabStop Or %BS_PushButton Or %BS_Center Or %BS_VCenter
  Control Add TextBox, hDlg, %IDC_FORM1_EDIT4, "Edit4", 12, 99, 211, 21, %WS_Child Or %WS_Visible Or %WS_ClipSiblings Or _
    %WS_TabStop Or %ES_Left Or %ES_AutoHScroll, %WS_Ex_ClientEdge
  Control Add Button, hDlg, %IDC_FORM1_TEXTBTN4, "Button4", 229, 99, 75, 23, %WS_Child Or %WS_Visible Or %WS_ClipSiblings Or _
    %WS_TabStop Or %BS_PushButton Or %BS_Center Or %BS_VCenter
  Control Add TextBox, hDlg, %IDC_FORM1_EDIT5, "Edit5", 12, 128, 211, 21, %WS_Child Or %WS_Visible Or %WS_ClipSiblings Or _
    %WS_TabStop Or %ES_Left Or %ES_AutoHScroll, %WS_Ex_ClientEdge
  Control Add Button, hDlg, %IDC_FORM1_TEXTBTN5, "Button5", 229, 128, 75, 23, %WS_Child Or %WS_Visible Or %WS_ClipSiblings Or _
    %WS_TabStop Or %BS_PushButton Or %BS_Center Or %BS_VCenter
  Control Add TextBox, hDlg, %IDC_FORM1_EDIT6, "Edit6", 12, 157, 211, 21, %WS_Child Or %WS_Visible Or %WS_ClipSiblings Or _
    %WS_TabStop Or %ES_Left Or %ES_AutoHScroll, %WS_Ex_ClientEdge
  Control Add Button, hDlg, %IDC_FORM1_TEXTBTN6, "Button6", 229, 157, 75, 23, %WS_Child Or %WS_Visible Or %WS_ClipSiblings Or _
    %WS_TabStop Or %BS_PushButton Or %BS_Center Or %BS_VCenter
  Control Add ListView, hDlg, %IDC_FORM1_LISTVIEW1, "", 310, 12, 197, 168, %WS_Child Or %WS_Visible Or _
    %WS_ClipSiblings Or %WS_ClipChildren Or %LVS_Report Or %LVS_SingleSel Or %LVS_ShowSelAlways Or %LVS_ShareImageLists, _
    %WS_Ex_ClientEdge

  ' Set the extended class styles for the control
  ListView Set StyleXX hDlg, %IDC_FORM1_LISTVIEW1, %LVS_Ex_GridLines Or %LVS_Ex_FullRowSelect
  ' Set list-view data
  ListView Insert Column hDlg, %IDC_FORM1_LISTVIEW1, 1, "Country", 96, %LVCFMT_LEFT
  ListView Insert Column hDlg, %IDC_FORM1_LISTVIEW1, 2, "Capital", 96, %LVCFMT_LEFT

  ListView Insert Item hDlg, %IDC_FORM1_LISTVIEW1, 1, 0, "Grenada"
  ListView Set Text hDlg, %IDC_FORM1_LISTVIEW1, 1, 2, "St. Georges"
  ListView Insert Item hDlg, %IDC_FORM1_LISTVIEW1, 2, 0, "Trindad and Tobago"
  ListView Set Text hDlg, %IDC_FORM1_LISTVIEW1, 2, 2, "Port of Spain"
  ListView Insert Item hDlg, %IDC_FORM1_LISTVIEW1, 3, 0, "St. Lucia"
  ListView Set Text hDlg, %IDC_FORM1_LISTVIEW1, 3, 2, "Castries"

  Control Add Option, hDlg, %IDC_FORM1_RADIO1, "Option1", 56, 184, 63, 21, %WS_Child Or %WS_Visible Or %WS_ClipSiblings Or _
    %WS_TabStop Or %BS_AutoRadioButton Or %BS_Left Or %BS_VCenter
  Control Add Option, hDlg, %IDC_FORM1_RADIO2, "Option2", 125, 184, 63, 21, %WS_Child Or %WS_Visible Or %WS_ClipSiblings Or _
    %WS_TabStop Or %BS_AutoRadioButton Or %BS_Left Or %BS_VCenter
  Control Add Option, hDlg, %IDC_FORM1_RADIO3, "Option3", 310, 186, 63, 21, %WS_Child Or %WS_Visible Or %WS_ClipSiblings Or _
    %WS_TabStop Or %BS_AutoRadioButton Or %BS_Left Or %BS_VCenter
  Control Add Option, hDlg, %IDC_FORM1_RADIO4, "Option4", 379, 186, 63, 21, %WS_Child Or %WS_Visible Or %WS_ClipSiblings Or _
    %WS_TabStop Or %BS_AutoRadioButton Or %BS_Left Or %BS_VCenter

  ' Activate the first rule set
  Control Post hDlg, %IDC_FORM1_RADIO1, %BM_CLICK, 0, 0

  ' Display the dialog box
  Dialog Show Modal hDlg, Call Form1_DialogProc

END FUNCTION

'-------------------------------------------------------------------------------

CallBack Function Form1_DialogProc

  Select Case Cb.Msg
    Case %WM_Command

      Select Case Cb.Ctl
        Case %IDC_FORM1_RADIO1
          If Cb.CtlMsg = %BN_Clicked Then
            ' Option1 - behaviour produced
            ' 1. The edit controls resize horizontally.
            ' 2. The buttons and list-view controls are not resized and are anchored
            '    to the right side of the form.
            ' 3. The Option1 and Option2 buttons are horizontally centered relative
            '    to the edit controls.
            ' 4. The Option3 and Option4 buttons are anchored to the left side of the
            '    list-view control.
            '
            ' 1. The form has a minimum width and height of 527 and 256 pixels respectively.
            ' 2. The maximum width of the form is unlimited and it cannot be resized smaller
            '    or larger than 256 pixels. That is, the form cannot be resized vertically.
            '
            ' Reset the size of the form
            Dialog Set Size hDlg, 527, 256
            ' Delete the old layout rules
            Layout_Clear hDlg
            ' Rules
            Layout_AddRule hDlg, %STRETCH, %RIGHT, MakLng(%IDC_FORM1_EDIT1, %IDC_FORM1_EDIT6), %RIGHT
            Layout_AddRule hDlg, %MOVE, %RIGHT, MakLng(%IDC_FORM1_TEXTBTN1, %IDC_FORM1_LISTVIEW1), %RIGHT
            Layout_AddRule hDlg, %HCENTER, %GROUP, MakLng(%IDC_FORM1_RADIO1, %IDC_FORM1_RADIO2), %CONTROL, %IDC_FORM1_EDIT6
            Layout_AddRule hDlg, %MOVE, %LEFT, MakLng(%IDC_FORM1_RADIO3, %IDC_FORM1_RADIO4), %LEFT, %IDC_FORM1_LISTVIEW1
            ' Limits
            Layout_AddLimit hDlg, %FORM, 527, 256, 0, 256
          End If

        Case %IDC_FORM1_RADIO2
          If Cb.CtlMsg = %BN_Clicked Then
            ' Option2 - behaviour produced
            ' 1. The buttons move relative to the width of the form and are not resized.
            ' 2. Both the edit and list-view controls resize horizontally.
            ' 3. The Option1 and Option2 buttons are horizontally centered relative
            '    to the edit controls
            ' 4. The Option3 and Option4 buttons are anchored to the left side of the
            '    list-view control.
            '
            ' 1. The form has a minimum width and height of 527 and 256 pixels respectively.
            ' 2. The maximum width of the form is unlimited and it cannot be resized smaller
            '    or larger than 256 pixels. That is, the form cannot be resized vertically.
            '
            Dialog Set Size hDlg, 527, 256
            Layout_Clear hDlg
            ' Rules
            Layout_AddRule hDlg, %MOVE, %LEFT, MakLng(%IDC_FORM1_TEXTBTN1, %IDC_FORM1_TEXTBTN6), %WIDTH
            Layout_AddRule hDlg, %STRETCH, %RIGHT, MakLng(%IDC_FORM1_EDIT1, %IDC_FORM1_EDIT6), %LEFT, %IDC_FORM1_TEXTBTN1
            Layout_AddRule hDlg, %MOVE, %LEFT, %IDC_FORM1_LISTVIEW1, %RIGHT, %IDC_FORM1_TEXTBTN1
            Layout_AddRule hDlg, %STRETCH, %RIGHT, %IDC_FORM1_LISTVIEW1, %RIGHT
            Layout_AddRule hDlg, %HCENTER, %GROUP, MakLng(%IDC_FORM1_RADIO1, %IDC_FORM1_RADIO2), %CONTROL, %IDC_FORM1_EDIT6
            Layout_AddRule hDlg, %MOVE, %LEFT, MakLng(%IDC_FORM1_RADIO3, %IDC_FORM1_RADIO4), %LEFT, %IDC_FORM1_LISTVIEW1
            ' Limits
            Layout_AddLimit hDlg, %FORM, 527, 256, 0, 256
          End If

        Case %IDC_FORM1_RADIO3
          If Cb.CtlMsg = %BN_Clicked Then
            ' Option3 - behaviour produced
            ' 1. The edit controls resize horizontally but do not grow beyond 300 pixels.
            ' 2. The buttons are anchored to the right side of the edit controls.
            ' 3. The list-view control starts growing after the edit controls stop growing.
            ' 4. The Option1 and Option2 buttons are horizontally centered relative
            '    to the edit controls
            ' 5. The Option3 and Option4 buttons are anchored to the left side of the
            '    list-view control.
            '
            ' 1. The edit controls have a maximum width of 300 pixels.
            ' 2. The form has a minimum width and height of 527 and 256 pixels respectively.
            ' 3. The maximum width of the form is unlimited and it cannot be resized smaller
            '    or larger than 256 pixels. That is, the form cannot be resized vertically.
            '
            Dialog Set Size hDlg, 527, 256
            Layout_Clear hDlg
            ' Rules
            Layout_AddRule hDlg, %STRETCH, %RIGHT, MakLng(%IDC_FORM1_EDIT1, %IDC_FORM1_EDIT6), %RIGHT
            Layout_AddRule hDlg, %MOVE, %LEFT, MakLng(%IDC_FORM1_TEXTBTN1, %IDC_FORM1_TEXTBTN6), %RIGHT, %IDC_FORM1_EDIT1
            Layout_AddRule hDlg, %MOVE, %LEFT, %IDC_FORM1_LISTVIEW1, %RIGHT, %IDC_FORM1_TEXTBTN1
            Layout_AddRule hDlg, %STRETCH, %RIGHT, %IDC_FORM1_LISTVIEW1, %RIGHT
            Layout_AddRule hDlg, %HCENTER, %GROUP, MakLng(%IDC_FORM1_RADIO1, %IDC_FORM1_RADIO2), %CONTROL, %IDC_FORM1_EDIT6
            Layout_AddRule hDlg, %MOVE, %LEFT, MakLng(%IDC_FORM1_RADIO3, %IDC_FORM1_RADIO4), %LEFT, %IDC_FORM1_LISTVIEW1
            ' Limits
            Layout_AddLimit hDlg, MakLng(%IDC_FORM1_EDIT1, %IDC_FORM1_EDIT6), 0, 0, 300, 0
            Layout_AddLimit hDlg, %FORM, 527, 256, 0, 256
          End If

        Case %IDC_FORM1_RADIO4
          If Cb.CtlMsg = %BN_Clicked Then
            ' Option4 - behaviour produced
            ' 1. The list-view control resize horizontally but does not grow beyond 300 pixels.
            ' 2. The buttons are anchored to the left side of the list-view control.
            ' 3. The edit controls grow horizontally with their right sides anchored to the
            '    left sides of the buttons.
            ' 4. The Option1 and Option2 buttons are horizontally centered relative
            '    to the edit controls
            ' 5. The Option3 and Option4 buttons are anchored to the left side of the
            '    list-view control.
            '
            ' 1. The list-view control has a maximum width of 300 pixels.
            ' 2. The form has a minimum width and height of 527 and 256 pixels respectively.
            ' 3. The maximum width of the form is unlimited and it cannot be resized smaller
            '    or larger than 256 pixels. That is, the form cannot be resized vertically.
            '
            Dialog Set Size hDlg, 527, 256
            Layout_Clear hDlg
            ' Rules
            Layout_AddRule hDlg, %STRETCH, %WIDTH, %IDC_FORM1_LISTVIEW1, %WIDTH
            Layout_AddRule hDlg, %MOVE, %RIGHT, %IDC_FORM1_LISTVIEW1, %RIGHT
            Layout_AddRule hDlg, %MOVE, %RIGHT, MakLng(%IDC_FORM1_TEXTBTN1, %IDC_FORM1_TEXTBTN6), %LEFT, %IDC_FORM1_LISTVIEW1
            Layout_AddRule hDlg, %STRETCH, %RIGHT, MakLng(%IDC_FORM1_EDIT1, %IDC_FORM1_EDIT6), %LEFT, %IDC_FORM1_TEXTBTN1
            Layout_AddRule hDlg, %HCENTER, %GROUP, MakLng(%IDC_FORM1_RADIO1, %IDC_FORM1_RADIO2), %CONTROL, %IDC_FORM1_EDIT6
            Layout_AddRule hDlg, %MOVE, %LEFT, MakLng(%IDC_FORM1_RADIO3, %IDC_FORM1_RADIO4), %LEFT, %IDC_FORM1_LISTVIEW1

            ' Limits
            Layout_AddLimit hDlg, %IDC_FORM1_LISTVIEW1, 0, 0, 300, 0
            Layout_AddLimit hDlg, %FORM, 527, 256, 0, 256
          End If
      End Select

  End Select

End Function

