#DIM ALL
#REGISTER NONE
#COMPILE EXE
#OPTION VERSION4

' The following constants define the minimum required platform.  The minimum required
' platform is the earliest version of Windows, Internet Explorer etc. that has the
' necessary features to run your application.  Wnen defined, they enable features
' available on platform versions up to and including the version specified.
%NTDDI_VERSION                          		= &H05010000
%WINVER                                 		= &H0501
%WIN32_WINNT                            		= &H0501
%WIN32_IE                               		= &H0600
%UNICODE                                		= 1

#Include Once "WIN32API.INC"

#INCLUDE ONCE "Layout32_sll.inc"

#Link "Layout32.sll"

#Resource Manifest, 1, "Resize.xml"

'--------------------------- [ Control Identifiers ] ---------------------------

%IDC_FORM1_EDIT1                            = 101

Global  hDlg          As DWord    ' handle of top-level dialog

'-------------------------------------------------------------------------------

FUNCTION PBMAIN () AS LONG

  Dialog New Pixels, 0, "Introducing Layout32", , , 299, 163, %WS_OverlappedWindow Or %WS_ThickFrame Or %WS_SysMenu Or _
    %WS_ClipChildren Or %WS_Visible Or %DS_ModalFrame Or %DS_3DLook Or %DS_NoFailCreate Or %DS_SetFont, _
    %WS_Ex_ControlParent, To hDlg

  Control Add TextBox, hDlg, %IDC_FORM1_EDIT1, "", 12, 12, 275, 110, %WS_Child Or %WS_Visible Or %WS_ClipSiblings Or _
    %WS_Border Or %WS_TabStop Or %WS_HScroll Or %WS_VScroll Or %ES_Left Or %ES_MultiLine Or %ES_AutoHScroll Or _
    %ES_AutoVScroll, %WS_Ex_ClientEdge
  Control Add Button, hDlg, %IdOk, "OK", 71, 128, 75, 23, %WS_Child Or %WS_Visible Or %WS_ClipSiblings Or _
    %WS_TabStop Or %BS_PushButton Or %BS_Center Or %BS_VCenter
  Control Add Button, hDlg, %IdCancel, "Cancel", 152, 128, 75, 23, %WS_Child Or %WS_Visible Or %WS_ClipSiblings Or _
    %WS_TabStop Or %BS_PushButton Or %BS_Center Or %BS_VCenter

  ' Rules
  Layout_AddRule hDlg, %Stretch, %Right, %IDC_FORM1_EDIT1, %Right
  Layout_AddRule hDlg, %Stretch, %Bottom, %IDC_FORM1_EDIT1, %Bottom
  Layout_AddRule hDlg, %HCenter, %Group, MakLng(%IdOk, %IdCancel)
  Layout_AddRule hDlg, %Move, %Bottom, MakLng(%IdOk, %IdCancel), %Bottom
  ' Limits
  Layout_AddLimit hDlg, %Form, 307, 200

  ' Display the dialog box
  Dialog Show Modal hDlg

END FUNCTION


