#Dim All
#REGISTER NONE
#COMPILE EXE
#OPTION VERSION4

' The following constants define the minimum required platform.  The minimum required
' platform is the earliest version of Windows, Internet Explorer etc. that has the
' necessary features to run your application.  Wnen defined, they enable features
' available on platform versions up to and including the version specified.
%NTDDI_VERSION                          		= &H05010000
%WINVER                                 		= &H0501
%WIN32_WINNT                            		= &H0501
%WIN32_IE                               		= &H0600
%UNICODE                                		= 1

#Include Once "WIN32API.INC"
#Include Once "COMMCTRL.INC"

#Include Once "Layout32_sll.inc"

#Link "Layout32.sll"

#Resource Manifest, 1, "TabControl.xml"

' Form1
%IDC_FORM1_TAB1                             = 101
%IDC_FORM1_PAGE1                            = 102
%IDC_FORM1_PAGE2                            = 103
%IDC_FORM1_SIZEBOX1                         = 112
' Page1
%IDC_FORM1_FIRSTNAMELBL                     = 104
%IDC_FORM1_LASTNAMELBL                      = 105
%IDC_FORM1_NOTESLBL                         = 106
%IDC_FORM1_FIRSTNAME                        = 107
%IDC_FORM1_LASTNAME                         = 108
%IDC_FORM1_NOTES                            = 109
' Page2
%IDC_FORM1_COUNTRIESLBL                     = 110
%IDC_FORM1_COUNTRIES                        = 111

Global  hDlg          As DWord    ' handle of top-level dialog

'-------------------------------------------------------------------------------

FUNCTION PBMAIN () AS LONG

  Local hTab    As DWord

  Dialog New Pixels, 0, "Tab Control", , , 286, 244, %WS_OverlappedWindow Or %WS_ThickFrame Or %WS_SysMenu Or _
    %WS_ClipChildren Or %WS_Visible Or %DS_ModalFrame Or %DS_3DLook Or %DS_NoFailCreate Or %DS_SetFont, _
    %WS_Ex_ControlParent Or %WS_Ex_Composited, To hDlg

  Control Add Button, hDlg, %IdOk, "OK", 65, 209, 75, 23, %WS_Child Or %WS_Visible Or %WS_ClipSiblings Or _
    %WS_TabStop Or %BS_PushButton Or %BS_Center Or %BS_VCenter
  Control Add Button, hDlg, %IdCancel, "Cancel", 146, 209, 75, 23, %WS_Child Or %WS_Visible Or %WS_ClipSiblings Or _
    %WS_TabStop Or %BS_PushButton Or %BS_Center Or %BS_VCenter

  ' Add a Tab control to the main dialog box
  Control Add Tab, hDlg, %IDC_FORM1_TAB1, "", 12, 12, 262, 191, %WS_Child Or %WS_Visible Or %WS_ClipChildren Or _
    %WS_ClipSiblings Or %WS_Group Or %WS_TabStop Or %TCS_Tabs Or %TCS_SingleLine Or %TCS_RaggedRight

  ' Build the Tab 1 dialog and its controls
  Tab Insert Page hDlg, %IDC_FORM1_TAB1, 1, 0, "Customer" To hTab
  Control Add Label,   hTab, %IDC_FORM1_FIRSTNAMELBL,  "First name:", 12, 15, 63, 21, %WS_Child Or _
    %WS_Visible Or %WS_ClipSiblings Or %WS_Group Or %SS_Left
  Control Add TextBox, hTab, %IDC_FORM1_FIRSTNAME, "", 81, 12, 161, 21, %WS_Child Or %WS_Visible Or _
    %WS_ClipSiblings Or %WS_TabStop Or %ES_Left Or %ES_AutoHScroll, %WS_Ex_ClientEdge
  Control Add Label,   hTab, %IDC_FORM1_LASTNAMELBL,  "Last name:", 12, 42, 63, 21, %WS_Child Or _
    %WS_Visible Or %WS_ClipSiblings Or %WS_Group Or %SS_Left
  Control Add TextBox, hTab, %IDC_FORM1_LASTNAME, "", 81, 39, 161, 21, %WS_Child Or %WS_Visible Or _
    %WS_ClipSiblings Or %WS_TabStop Or %ES_Left Or %ES_AutoHScroll, %WS_Ex_ClientEdge
  Control Add Label,   hTab, %IDC_FORM1_NOTESLBL,  "Notes", 81, 66, 161, 21, %WS_Child Or %WS_Visible Or _
    %WS_ClipSiblings Or %WS_Group Or %SS_Center Or %SS_CenterImage
  Control Add TextBox, hTab, %IDC_FORM1_NOTES, "", 81, 87, 161, 60, %WS_Child Or %WS_Visible Or %WS_HScroll Or _
    %WS_VScroll Or %WS_ClipSiblings Or %WS_TabStop Or %ES_Left Or %ES_AutoHScroll Or %ES_AutoVScroll Or _
    %ES_MultiLine, %WS_Ex_ClientEdge

  Tab Insert Page hDlg, %IDC_FORM1_TAB1, 2, 0, "Country" To hTab
  Control Add Label,   hTab, %IDC_FORM1_COUNTRIESLBL,  "Countries", 12, 6, 230, 21, %WS_Child Or %WS_Visible Or _
    %WS_ClipSiblings Or %WS_Group Or %SS_Center Or %SS_CenterImage
  Control Add ListBox, hTab, %IDC_FORM1_COUNTRIES, , 12, 27, 230, 120, %WS_Child Or %WS_Visible Or %WS_VScroll Or _
    %WS_Border Or %WS_ClipSiblings Or %WS_TabStop Or %LBS_NoIntegralHeight Or %LBS_HasStrings Or %LBS_Sort Or _
    %LBS_Notify, %WS_Ex_ClientEdge
    ListBox Add hTab, %IDC_FORM1_COUNTRIES, "Trinidad and Tobago"
    ListBox Add hTab, %IDC_FORM1_COUNTRIES, "Grenada"
    ListBox Add hTab, %IDC_FORM1_COUNTRIES, "St. Vincent"
    ListBox Add hTab, %IDC_FORM1_COUNTRIES, "St. Lucia"
    ListBox Add hTab, %IDC_FORM1_COUNTRIES, "Martinique"
    ListBox Add hTab, %IDC_FORM1_COUNTRIES, "Dominica"
    ListBox Add hTab, %IDC_FORM1_COUNTRIES, "Guadeloupe"
    ListBox Add hTab, %IDC_FORM1_COUNTRIES, "Montserrat"
    ListBox Add hTab, %IDC_FORM1_COUNTRIES, "Antigua"
    ListBox Add hTab, %IDC_FORM1_COUNTRIES, "St. Kitts and Nevis"
    ListBox Add hTab, %IDC_FORM1_COUNTRIES, "Puerto Rico"
    ListBox Add hTab, %IDC_FORM1_COUNTRIES, "Dominican Republic"
    ListBox Add hTab, %IDC_FORM1_COUNTRIES, "Haiti"
    ListBox Add hTab, %IDC_FORM1_COUNTRIES, "Jamaica"
    ListBox Add hTab, %IDC_FORM1_COUNTRIES, "Cuba"
    ListBox Add hTab, %IDC_FORM1_COUNTRIES, "Bahamas"

  ' Add the size grip
  Control Add "ScrollBar", hDlg, %IDC_FORM1_SIZEBOX1, "", 12, 27, 230, 120, %WS_Child Or %WS_Visible Or _
    %WS_ClipSiblings Or %SBS_SizeGrip Or %SBS_SizeBoxBottomRightAlign

    ' Hide the size-box when the form is maximized
    Layout_HideSizeGrip hDlg, %TRUE

    ' Rules
    Layout_AddRule hDlg, %STRETCH, %RIGHT, MakLng(%IDC_FORM1_TAB1, %IDC_FORM1_PAGE2), %RIGHT
    Layout_AddRule hDlg, %STRETCH, %BOTTOM, MakLng(%IDC_FORM1_TAB1, %IDC_FORM1_PAGE2), %BOTTOM
    Layout_AddRule hDlg, %HCENTER, %GROUP, MakLng(%IdOk, %IdCancel)
    Layout_AddRule hDlg, %MOVE, %TOP, MakLng(%IdOk, %IdCancel), %BOTTOM

    Layout_AddRule hDlg, %STRETCH, %RIGHT, MakLng(%IDC_FORM1_FIRSTNAME, %IDC_FORM1_NOTES), %RIGHT
    Layout_AddRule hDlg, %STRETCH, %BOTTOM, %IDC_FORM1_NOTES, %BOTTOM
    Layout_AddRule hDlg, %HCENTER, %CONTROL, %IDC_FORM1_NOTESLBL, %CONTROL, %IDC_FORM1_NOTES

    Layout_AddRule hDlg, %STRETCH, %RIGHT, %IDC_FORM1_COUNTRIES, %RIGHT
    Layout_AddRule hDlg, %STRETCH, %BOTTOM, %IDC_FORM1_COUNTRIES, %BOTTOM
    Layout_AddRule hDlg, %HCENTER, %CONTROL, %IDC_FORM1_COUNTRIESLBL, %CONTROL, %IDC_FORM1_COUNTRIES

    ' Limits
    Layout_AddLimit hDlg, %Form, 294, 281

  ' Display the dialog box
  Dialog Show Modal hDlg

End Function


