#Dim All
#REGISTER NONE
#COMPILE EXE
#OPTION VERSION4

' The following constants define the minimum required platform.  The minimum required
' platform is the earliest version of Windows, Internet Explorer etc. that has the
' necessary features to run your application.  Wnen defined, they enable features
' available on platform versions up to and including the version specified.
%NTDDI_VERSION                          		= &H05010000
%WINVER                                 		= &H0501
%WIN32_WINNT                            		= &H0501
%WIN32_IE                               		= &H0600
%UNICODE                                		= 1

#Include Once "WIN32API.INC"
#Include Once "COMMCTRL.INC"

#Include Once "Layout32_sll.inc"

#Link "Layout32.sll"

#Resource Manifest, 1, "TabControl.xml"

' Form1
%IDD_FORM1                                  = 100
%IDC_FORM1_TAB1                             = 101
%IDC_FORM1_PAGE1                            = 102
%IDC_FORM1_PAGE2                            = 103
%IDC_FORM1_SIZEBOX1                         = 112
' Page1
%IDC_FORM1_FIRSTNAMELBL                     = 104
%IDC_FORM1_LASTNAMELBL                      = 105
%IDC_FORM1_NOTESLBL                         = 106
%IDC_FORM1_FIRSTNAME                        = 107
%IDC_FORM1_LASTNAME                         = 108
%IDC_FORM1_NOTES                            = 109
' Page2
%IDC_FORM1_COUNTRIESLBL                     = 110
%IDC_FORM1_COUNTRIES                        = 111

GLOBAL  ghInstance    AS DWORD    ' handle of the application instance

'-------------------------------------------------------------------------------
'
' PROCEDURE: WinMain
' PURPOSE:   Program entry point, calls initialization function, processes
'            message loop.
'
'-------------------------------------------------------------------------------

FUNCTION WinMain _
  ( _
  BYVAL hInstance     AS DWORD, _         ' handle of current instance
  BYVAL hPrevInstance AS DWORD, _         ' handle of previous instance(not used in Win32)
  BYVAL pszCmdLine    AS WSTRINGZ PTR, _  ' address of command line
  BYVAL nCmdShow      AS LONG _           ' show state of window
  ) AS LONG

  LOCAL szClassName     AS WSTRINGZ * %MAX_PATH     ' class name
  LOCAL ticc            AS INIT_COMMON_CONTROLSEX   ' specifies common control classes to register
  LOCAL twcx            AS WNDCLASSEX               ' class information
  LOCAL tmsg            AS tagMsg                   ' message information
  Local hWnd            As DWord                    ' handle of main window

  ' Save the handle of the application instance
  ghInstance = hInstance

  ' Load the common controls library and
  ' specify the classes to register.
  ticc.dwSize = SIZEOF(ticc)
  ticc.dwICC  = %ICC_TAB_CLASSES
  InitCommonControlsEx ticc

  ' Register window classes
  ' Register the Form1 window
  szClassName        = "Form1_Class"
  twcx.cbSize        = SIZEOF(twcx)                               ' size of WNDCLASSEX structure
  twcx.style         = %CS_DBLCLKS                                ' class styles
  twcx.lpfnWndProc   = CODEPTR(Form1_WndProc)                     ' address of window procedure used by class
  twcx.cbClsExtra    = 0                                          ' extra class bytes
  twcx.cbWndExtra    = 0                                          ' extra window bytes
  twcx.hInstance     = ghInstance                                 ' instance of the process that is registering the window
  twcx.hIcon         = LoadIcon(%NULL, BYVAL %IDI_APPLICATION)    ' handle of class icon
  twcx.hCursor       = LoadCursor(%NULL, BYVAL %IDC_ARROW)        ' handle of class cursor
  twcx.hbrBackground = %COLOR_BTNFACE + 1                         ' brush used to fill background of window's client area
  twcx.lpszMenuName  = %NULL                                      ' resource identifier of the class menu
  twcx.lpszClassName = VARPTR(szClassName)                        ' class name
  twcx.hIconSm       = %NULL                                      ' handle of small icon shown in caption/system Taskbar
  If RegisterClassEx(twcx) = 0 Then
    FUNCTION = %FALSE
    EXIT FUNCTION
  END IF

  ' Register the Page1 window
  szClassName        = "Form1_Page1_Class"
  twcx.cbSize        = SIZEOF(twcx)                               ' size of WNDCLASSEX structure
  twcx.style         = %CS_DBLCLKS                                ' class styles
  twcx.lpfnWndProc   = CODEPTR(Form1_Page1_WndProc)               ' address of window procedure used by class
  twcx.cbClsExtra    = 0                                          ' extra class bytes
  twcx.cbWndExtra    = 0                                          ' extra window bytes
  twcx.hInstance     = ghInstance                                 ' instance of the process that is registering the window
  twcx.hIcon         = %NULL                                      ' handle of class icon
  twcx.hCursor       = LoadCursor(%NULL, BYVAL %IDC_ARROW)        ' handle of class cursor
  twcx.hbrBackground = %COLOR_BTNFACE + 1                         ' brush used to fill background of window's client area
  twcx.lpszMenuName  = %NULL                                      ' resource identifier of the class menu
  twcx.lpszClassName = VARPTR(szClassName)                        ' class name
  twcx.hIconSm       = %NULL                                      ' handle of small icon shown in caption/system Taskbar
  If RegisterClassEx(twcx) = 0 Then
    FUNCTION = %FALSE
    EXIT FUNCTION
  END IF

  ' Register the Page2 window
  szClassName        = "Form1_Page2_Class"
  twcx.cbSize        = SIZEOF(twcx)                               ' size of WNDCLASSEX structure
  twcx.style         = %CS_DBLCLKS                                ' class styles
  twcx.lpfnWndProc   = CODEPTR(Form1_Page2_WndProc)               ' address of window procedure used by class
  twcx.cbClsExtra    = 0                                          ' extra class bytes
  twcx.cbWndExtra    = 0                                          ' extra window bytes
  twcx.hInstance     = ghInstance                                 ' instance of the process that is registering the window
  twcx.hIcon         = %NULL                                      ' handle of class icon
  twcx.hCursor       = LoadCursor(%NULL, BYVAL %IDC_ARROW)        ' handle of class cursor
  twcx.hbrBackground = %COLOR_BTNFACE + 1                         ' brush used to fill background of window's client area
  twcx.lpszMenuName  = %NULL                                      ' resource identifier of the class menu
  twcx.lpszClassName = VARPTR(szClassName)                        ' class name
  twcx.hIconSm       = %NULL                                      ' handle of small icon shown in caption/system Taskbar
  If RegisterClassEx(twcx) = 0 Then
    FUNCTION = %FALSE
    EXIT FUNCTION
  END IF


  ' Create the Form1 window
  hWnd = CreateWindowEx(%WS_EX_WINDOWEDGE OR %WS_EX_COMPOSITED, _                     ' extended styles
                        "Form1_Class", _                                              ' class name
                        "Tab Control", _                                              ' caption
                        %WS_OVERLAPPEDWINDOW OR %WS_VISIBLE OR %WS_THICKFRAME OR _    ' window styles
                        %WS_CLIPCHILDREN, _
                        70, 130, _                                                    ' left, top
                        294, 281, _                                                   ' width, height
                        %NULL, %NULL, _                                               ' handle of owner, menu handle
                        ghInstance, BYVAL %NULL)                                      ' handle of instance, creation parameters
  ' If window could not be created, return "failure"
  If hWnd = %NULL Then
    Function = %FALSE
    Exit Function
  End If

  ' Make the window visible; update its client area
  ShowWindow hWnd, nCmdShow
  UpdateWindow hWnd

  ' Main message loop of program.
  ' Acquire and dispatch messages until a WM_QUIT message is received.
  While GetMessage(tmsg, ByVal %NULL, 0, 0) > 0
    If (hWnd = %NULL) Or (IsDialogMessage(hWnd, tmsg) = 0) Then
      TranslateMessage tmsg
      DispatchMessage tmsg
    End If
  Wend

  Function = tmsg.wParam

END FUNCTION

'-------------------------------------------------------------------------------
'
' PROCEDURE: Form1_WndProc
' PURPOSE:   Processes messages for the Form1 window.
'
'-------------------------------------------------------------------------------

FUNCTION Form1_WndProc _
  ( _
  BYVAL hWnd    AS DWORD, _ ' window handle
  BYVAL uMsg    AS DWORD, _ ' type of message
  BYVAL wParam  AS DWORD, _ ' first message parameter
  BYVAL lParam  AS LONG _   ' second message parameter
  ) EXPORT AS LONG

  LOCAL szItem        AS WSTRINGZ * %MAX_PATH   ' working variable
  LOCAL ttci          AS TC_ITEM                ' specifies or receives the attributes of a tab
  LOCAL ptnmhdr       AS NMHDR PTR              ' information about a notification message
  LOCAL hWndChild     AS DWORD                  ' handle of child window
  LOCAL hFont         AS DWORD                  ' handle of font used by form
  LOCAL cx            AS LONG                   ' width of control
  LOCAL cy            AS LONG                   ' height of control
  Local lItemIdx      As Long                   ' zero-based index of item in list

  SELECT CASE uMsg
    CASE %WM_COMMAND

    CASE %WM_NOTIFY
      ptnmhdr = lParam

      SELECT CASE @ptnmhdr.idFrom
        CASE %IDC_FORM1_TAB1

          SELECT CASE @ptnmhdr.code
            CASE %TCN_SELCHANGE
              ' Show and enable the selected page
              lItemIdx  = SendMessage(@ptnmhdr.hwndFrom, %TCM_GETCURSEL, 0, 0)
              ttci.mask = %TCIF_PARAM
              SendMessage @ptnmhdr.hwndFrom, %TCM_GETITEM, lItemIdx, BYVAL VARPTR(ttci)

              ShowWindow ttci.lParam, %SW_SHOW
              EnableWindow ttci.lParam, %TRUE

              SetFocus @ptnmhdr.hwndFrom

            CASE %TCN_SELCHANGING
              ' Hide and disable the current page
              lItemIdx  = SendMessage(@ptnmhdr.hwndFrom, %TCM_GETCURSEL, 0, 0)
              ttci.mask = %TCIF_PARAM
              SendMessage @ptnmhdr.hwndFrom, %TCM_GETITEM, lItemIdx, BYVAL VARPTR(ttci)

              ShowWindow ttci.lParam, %SW_HIDE
              EnableWindow ttci.lParam, %FALSE
          END SELECT

      END SELECT

    CASE %WM_SYSCOLORCHANGE
      ' Forward this message to common controls so that they will
      ' be properly updated when the user changes the color settings.
      SendMessage GetDlgItem(hWnd, %IDC_FORM1_TAB1), %WM_SYSCOLORCHANGE, wParam, lParam

    CASE %WM_SETFOCUS
      ' Set the keyboard focus to the first control that is
      ' visible, not disabled, and has the WS_TABSTOP style
      SetFocus GetNextDlgTabItem(hWnd, %NULL, %FALSE)

    Case %WM_Close

    CASE %WM_QUERYENDSESSION

    CASE %WM_DESTROY
      ' Destroy pages associated with tab control(s)
      DestroyWindow GetDlgItem(hWnd, %IDC_FORM1_PAGE1)
      DestroyWindow GetDlgItem(hWnd, %IDC_FORM1_PAGE2)
      PostQuitMessage 0
      FUNCTION = %FALSE
      EXIT FUNCTION

    Case %WM_GETFONT
      Function = GetStockObject(%DEFAULT_GUI_FONT)
      Exit Function

    CASE %WM_CREATE
      ' Create font used by container
      hFont = GetStockObject(%DEFAULT_GUI_FONT)

      ' Create the Page1 window
      hWndChild = CreateWindowEx(%WS_EX_CONTROLPARENT, _                              ' extended styles
                                 "Form1_Page1_Class", _                               ' class name
                                 "", _                                                ' caption
                                 %WS_CHILD OR %WS_VISIBLE OR %WS_CLIPCHILDREN OR _    ' window styles
                                 %WS_CLIPSIBLINGS, _
                                 16, 40, _                                            ' left, top
                                 254, 159, _                                          ' width, height
                                 hWnd, %IDC_FORM1_PAGE1, _                            ' handle of parent, control ID
                                 ghInstance, BYVAL %NULL)                             ' handle of instance, creation parameters

      ' Create the OK text button
      hWndChild = CreateWindowEx(0, _                                                 ' extended styles
                                 "Button", _                                          ' class name
                                 "OK", _                                              ' caption
                                 %WS_CHILD OR %WS_VISIBLE OR %WS_CLIPSIBLINGS OR _    ' window styles
                                 %WS_TABSTOP OR _
                                 %BS_PUSHBUTTON OR %BS_CENTER OR %BS_VCENTER, _       ' class styles
                                 65, 209, _                                           ' left, top
                                 75, 23, _                                            ' width, height
                                 hWnd, %IDOK, _                                       ' handle of parent, control ID
                                 ghInstance, BYVAL %NULL)                             ' handle of instance, creation parameters
      SendMessage hWndChild, %WM_SETFONT, hFont, %TRUE

      ' Create the Cancel text button
      hWndChild = CreateWindowEx(0, _                                                 ' extended styles
                                 "Button", _                                          ' class name
                                 "Cancel", _                                          ' caption
                                 %WS_CHILD OR %WS_VISIBLE OR %WS_CLIPSIBLINGS OR _    ' window styles
                                 %WS_TABSTOP OR _
                                 %BS_PUSHBUTTON OR %BS_CENTER OR %BS_VCENTER, _       ' class styles
                                 146, 209, _                                          ' left, top
                                 75, 23, _                                            ' width, height
                                 hWnd, %IDCANCEL, _                                   ' handle of parent, control ID
                                 ghInstance, BYVAL %NULL)                             ' handle of instance, creation parameters
      SendMessage hWndChild, %WM_SETFONT, hFont, %TRUE

      ' Create the Page2 window
      hWndChild = CreateWindowEx(%WS_EX_CONTROLPARENT, _                              ' extended styles
                                 "Form1_Page2_Class", _                               ' class name
                                 "", _                                                ' caption
                                 %WS_CHILD OR %WS_DISABLED OR %WS_CLIPCHILDREN OR _   ' window styles
                                 %WS_CLIPSIBLINGS, _
                                 16, 40, _                                            ' left, top
                                 254, 159, _                                          ' width, height
                                 hWnd, %IDC_FORM1_PAGE2, _                            ' handle of parent, control ID
                                 ghInstance, BYVAL %NULL)                             ' handle of instance, creation parameters

      ' Create the Tab1 tab control
      hWndChild = CreateWindowEx(0, _                                                 ' extended styles
                                 "SysTabControl32", _                                 ' class name
                                 "", _                                                ' caption
                                 %WS_CHILD OR %WS_VISIBLE OR %WS_CLIPCHILDREN OR _    ' window styles
                                 %WS_CLIPSIBLINGS OR %WS_GROUP OR %WS_TABSTOP OR _
                                 %TCS_TABS OR %TCS_SINGLELINE OR _                    ' class styles
                                 %TCS_RAGGEDRIGHT, _
                                 12, 12, _                                            ' left, top
                                 262, 191, _                                          ' width, height
                                 hWnd, %IDC_FORM1_TAB1, _                             ' handle of parent, control ID
                                 ghInstance, BYVAL %NULL)                             ' handle of instance, creation parameters
      SendMessage hWndChild, %WM_SETFONT, hFont, %TRUE

      SendMessage hWndChild, %TCM_SETITEMSIZE, 0, MakLng(0, 24)

      ' Insert tabs
      szItem       = "Customer"
      ttci.mask    = %TCIF_TEXT OR %TCIF_PARAM
      ttci.pszText = VARPTR(szItem)
      ttci.lParam  = GetDlgItem(hWnd, %IDC_FORM1_PAGE1)
      SendMessage hWndChild, %TCM_INSERTITEM, 0, BYVAL VARPTR(ttci)

      szItem       = "Country"
      ttci.mask    = %TCIF_TEXT OR %TCIF_PARAM
      ttci.pszText = VARPTR(szItem)
      ttci.lParam  = GetDlgItem(hWnd, %IDC_FORM1_PAGE2)
      SendMessage hWndChild, %TCM_INSERTITEM, 1, BYVAL VARPTR(ttci)

      ' Create the Sizebox1 size box
      hWndChild = CreateWindowEx(0, _                                                 ' extended styles
                                 "Scrollbar", _                                       ' class name
                                 "", _                                                ' caption
                                 %WS_Child Or %WS_Visible Or %WS_ClipSiblings Or _    ' window styles
                                 %SBS_SIZEGRIP OR %SBS_SIZEBOXBOTTOMRIGHTALIGN, _     ' class styles
                                 269, 227, _                                          ' left, top
                                 17, 17, _                                            ' width, height
                                 hWnd, %IDC_FORM1_SIZEBOX1, _                         ' handle of parent, control ID
                                 ghInstance, BYVAL %NULL)                             ' handle of instance, creation parameters

    ' Hide the size-box when the form is maximized
    Layout_HideSizeGrip hWnd, %TRUE
    ' Rules
    Layout_AddRule hWnd, %STRETCH, %RIGHT, MakLng(%IDC_FORM1_TAB1, %IDC_FORM1_PAGE2), %RIGHT
    Layout_AddRule hWnd, %STRETCH, %BOTTOM, MakLng(%IDC_FORM1_TAB1, %IDC_FORM1_PAGE2), %BOTTOM
    Layout_AddRule hWnd, %HCENTER, %GROUP, MakLng(%IdOk, %IdCancel)
    Layout_AddRule hWnd, %MOVE, %TOP, MakLng(%IdOk, %IdCancel), %BOTTOM

    Layout_AddRule hWnd, %STRETCH, %RIGHT, MakLng(%IDC_FORM1_FIRSTNAME, %IDC_FORM1_NOTES), %RIGHT
    Layout_AddRule hWnd, %STRETCH, %BOTTOM, %IDC_FORM1_NOTES, %BOTTOM
    Layout_AddRule hWnd, %HCENTER, %CONTROL, %IDC_FORM1_NOTESLBL, %CONTROL, %IDC_FORM1_NOTES

    Layout_AddRule hWnd, %STRETCH, %RIGHT, %IDC_FORM1_COUNTRIES, %RIGHT
    Layout_AddRule hWnd, %STRETCH, %BOTTOM, %IDC_FORM1_COUNTRIES, %BOTTOM
    Layout_AddRule hWnd, %HCENTER, %CONTROL, %IDC_FORM1_COUNTRIESLBL, %CONTROL, %IDC_FORM1_COUNTRIES

    ' Limits
    Layout_AddLimit hWnd, %Form, 294, 281
  End Select

  FUNCTION = DefWindowProc(hWnd, uMsg, wParam, lParam)

END FUNCTION

'-------------------------------------------------------------------------------
'
' PROCEDURE: Form1_Page1_WndProc
' PURPOSE:   Processes messages for the Page1 window.
'
'-------------------------------------------------------------------------------

FUNCTION Form1_Page1_WndProc _
  ( _
  BYVAL hWnd    AS DWORD, _ ' window handle
  BYVAL uMsg    AS DWORD, _ ' type of message
  BYVAL wParam  AS DWORD, _ ' first message parameter
  BYVAL lParam  AS LONG _   ' second message parameter
  ) EXPORT AS LONG

  LOCAL hWndChild     AS DWORD    ' handle of child window
  LOCAL hFont         AS DWORD    ' handle of font used by panel

  SELECT CASE uMsg
    CASE %WM_COMMAND

    Case %WM_Create
      ' Create font used by container
      hFont = GetStockObject(%DEFAULT_GUI_FONT)

      ' Create the FirstNameLbl label
      hWndChild = CreateWindowEx(0, _                                                 ' extended styles
                                 "Static", _                                          ' class name
                                 "First Name:", _                                     ' caption
                                 %WS_CHILD OR %WS_VISIBLE OR %WS_CLIPSIBLINGS OR _    ' window styles
                                 %WS_GROUP OR _
                                 %SS_LEFT, _                                          ' class styles
                                 12, 15, _                                            ' left, top
                                 63, 21, _                                            ' width, height
                                 hWnd, %IDC_FORM1_FIRSTNAMELBL, _                     ' handle of parent, control ID
                                 ghInstance, BYVAL %NULL)                             ' handle of instance, creation parameters
      SendMessage hWndChild, %WM_SETFONT, hFont, %TRUE

      ' Create the FirstName edit control
      hWndChild = CreateWindowEx(%WS_EX_CLIENTEDGE, _                                 ' extended styles
                                 "Edit", _                                            ' class name
                                 "", _                                                ' caption
                                 %WS_CHILD OR %WS_VISIBLE OR %WS_CLIPSIBLINGS OR _    ' window styles
                                 %WS_TABSTOP OR _
                                 %ES_LEFT OR %ES_AUTOHSCROLL, _                       ' class styles
                                 81, 12, _                                            ' left, top
                                 161, 21, _                                           ' width, height
                                 hWnd, %IDC_FORM1_FIRSTNAME, _                        ' handle of parent, control ID
                                 ghInstance, BYVAL %NULL)                             ' handle of instance, creation parameters
      SendMessage hWndChild, %WM_SETFONT, hFont, %TRUE

      ' Create the LastNameLbl label
      hWndChild = CreateWindowEx(0, _                                                 ' extended styles
                                 "Static", _                                          ' class name
                                 "First Name:", _                                     ' caption
                                 %WS_CHILD OR %WS_VISIBLE OR %WS_CLIPSIBLINGS OR _    ' window styles
                                 %WS_GROUP OR _
                                 %SS_LEFT, _                                          ' class styles
                                 12, 42, _                                            ' left, top
                                 63, 21, _                                            ' width, height
                                 hWnd, %IDC_FORM1_LASTNAMELBL, _                      ' handle of parent, control ID
                                 ghInstance, BYVAL %NULL)                             ' handle of instance, creation parameters
      SendMessage hWndChild, %WM_SETFONT, hFont, %TRUE

      ' Create the LastName edit control
      hWndChild = CreateWindowEx(%WS_EX_CLIENTEDGE, _                                 ' extended styles
                                 "Edit", _                                            ' class name
                                 "", _                                                ' caption
                                 %WS_CHILD OR %WS_VISIBLE OR %WS_CLIPSIBLINGS OR _    ' window styles
                                 %WS_TABSTOP OR _
                                 %ES_LEFT OR %ES_AUTOHSCROLL, _                       ' class styles
                                 81, 39, _                                            ' left, top
                                 161, 21, _                                           ' width, height
                                 hWnd, %IDC_FORM1_LASTNAME, _                         ' handle of parent, control ID
                                 ghInstance, BYVAL %NULL)                             ' handle of instance, creation parameters
      SendMessage hWndChild, %WM_SETFONT, hFont, %TRUE

      ' Create the NotesLbl label
      hWndChild = CreateWindowEx(0, _                                                 ' extended styles
                                 "Static", _                                          ' class name
                                 "Notes", _                                           ' caption
                                 %WS_CHILD OR %WS_VISIBLE OR %WS_CLIPSIBLINGS OR _    ' window styles
                                 %WS_GROUP OR _
                                 %SS_CENTER OR %SS_CENTERIMAGE, _                     ' class styles
                                 81, 66, _                                            ' left, top
                                 161, 21, _                                           ' width, height
                                 hWnd, %IDC_FORM1_NOTESLBL, _                         ' handle of parent, control ID
                                 ghInstance, BYVAL %NULL)                             ' handle of instance, creation parameters
      SendMessage hWndChild, %WM_SETFONT, hFont, %TRUE

      ' Create the Notes edit control
      hWndChild = CreateWindowEx(%WS_EX_CLIENTEDGE, _                                 ' extended styles
                                 "Edit", _                                            ' class name
                                 "", _                                                ' caption
                                 %WS_CHILD OR %WS_VISIBLE OR %WS_HSCROLL OR _         ' window styles
                                 %WS_VSCROLL OR %WS_CLIPSIBLINGS OR %WS_TABSTOP OR _
                                 %ES_LEFT OR %ES_AUTOHSCROLL OR %ES_AUTOVSCROLL OR _  ' class styles
                                 %ES_MULTILINE, _
                                 81, 87, _                                            ' left, top
                                 161, 60, _                                           ' width, height
                                 hWnd, %IDC_FORM1_NOTES, _                            ' handle of parent, control ID
                                 ghInstance, BYVAL %NULL)                             ' handle of instance, creation parameters
      SendMessage hWndChild, %WM_SETFONT, hFont, %TRUE
  End Select

  FUNCTION = DefWindowProc(hWnd, uMsg, wParam, lParam)

END FUNCTION

'-------------------------------------------------------------------------------
'
' PROCEDURE: Form1_Page2_WndProc
' PURPOSE:   Processes messages for the Page2 window.
'
'-------------------------------------------------------------------------------

FUNCTION Form1_Page2_WndProc _
  ( _
  BYVAL hWnd    AS DWORD, _ ' window handle
  BYVAL uMsg    AS DWORD, _ ' type of message
  BYVAL wParam  AS DWORD, _ ' first message parameter
  BYVAL lParam  AS LONG _   ' second message parameter
  ) EXPORT AS LONG

  LOCAL szItem        AS WSTRINGZ * %MAX_PATH   ' working variable
  LOCAL hWndChild     AS DWORD                  ' handle of child window
  LOCAL hFont         AS DWORD                  ' handle of font used by panel

  SELECT CASE uMsg
    CASE %WM_COMMAND

    CASE %WM_CREATE
      ' Create font used by container
      hFont = GetStockObject(%DEFAULT_GUI_FONT)

      ' Create the Countries listbox
      hWndChild = CreateWindowEx(%WS_EX_CLIENTEDGE, _                                 ' extended styles
                                 "Listbox", _                                         ' class name
                                 "", _                                                ' caption
                                 %WS_CHILD OR %WS_VISIBLE OR %WS_VSCROLL OR _         ' window styles
                                 %WS_BORDER OR %WS_CLIPSIBLINGS OR %WS_TABSTOP OR _
                                 %LBS_NOINTEGRALHEIGHT OR %LBS_HASSTRINGS OR _        ' class styles
                                 %LBS_SORT OR %LBS_NOTIFY, _
                                 12, 27, _                                            ' left, top
                                 230, 120, _                                          ' width, height
                                 hWnd, %IDC_FORM1_COUNTRIES, _                        ' handle of parent, control ID
                                 ghInstance, BYVAL %NULL)                             ' handle of instance, creation parameters
      SendMessage hWndChild, %WM_SETFONT, hFont, %TRUE

      ' Add the initial items
      ' Turn off repainting
      SendMessage hWndChild, %WM_SETREDRAW, %FALSE, 0
      szItem = "Grenada"
      SendMessage hWndChild, %LB_ADDSTRING, 0, BYVAL VARPTR(szItem)
      szItem = "Trinidad and Tobago"
      SendMessage hWndChild, %LB_ADDSTRING, 0, BYVAL VARPTR(szItem)
      szItem = "St. Vincent"
      SendMessage hWndChild, %LB_ADDSTRING, 0, BYVAL VARPTR(szItem)
      szItem = "St. Lucia"
      SendMessage hWndChild, %LB_ADDSTRING, 0, BYVAL VARPTR(szItem)
      szItem = "Martinique"
      SendMessage hWndChild, %LB_ADDSTRING, 0, BYVAL VARPTR(szItem)
      szItem = "Dominica"
      SendMessage hWndChild, %LB_ADDSTRING, 0, BYVAL VARPTR(szItem)
      szItem = "Guadeloupe"
      SendMessage hWndChild, %LB_ADDSTRING, 0, BYVAL VARPTR(szItem)
      szItem = "Antigua"
      SendMessage hWndChild, %LB_ADDSTRING, 0, BYVAL VARPTR(szItem)
      szItem = "St. Kitts and Nevis"
      SendMessage hWndChild, %LB_ADDSTRING, 0, BYVAL VARPTR(szItem)
      szItem = "Puerto Rico"
      SendMessage hWndChild, %LB_ADDSTRING, 0, BYVAL VARPTR(szItem)
      szItem = "Dominican Republic"
      SendMessage hWndChild, %LB_ADDSTRING, 0, BYVAL VARPTR(szItem)
      szItem = "Haiti"
      SendMessage hWndChild, %LB_ADDSTRING, 0, BYVAL VARPTR(szItem)
      szItem = "Jamaica"
      SendMessage hWndChild, %LB_ADDSTRING, 0, BYVAL VARPTR(szItem)
      szItem = "Cuba"
      SendMessage hWndChild, %LB_ADDSTRING, 0, BYVAL VARPTR(szItem)
      szItem = "Bahamas"
      SendMessage hWndChild, %LB_ADDSTRING, 0, BYVAL VARPTR(szItem)
      szItem = "Montserrat"
      SendMessage hWndChild, %LB_ADDSTRING, 0, BYVAL VARPTR(szItem)
      ' Turn on repainting
      SendMessage hWndChild, %WM_SETREDRAW, %TRUE, 0
      InvalidateRect hWndChild, BYVAL %NULL, %TRUE
      UpdateWindow hWndChild

      ' Create the CountriesLbl label
      hWndChild = CreateWindowEx(0, _                                                 ' extended styles
                                 "Static", _                                          ' class name
                                 "Countries", _                                       ' caption
                                 %WS_CHILD OR %WS_VISIBLE OR %WS_CLIPSIBLINGS OR _    ' window styles
                                 %WS_GROUP OR _
                                 %SS_CENTER OR %SS_CENTERIMAGE, _                     ' class styles
                                 12, 6, _                                             ' left, top
                                 230, 21, _                                           ' width, height
                                 hWnd, %IDC_FORM1_COUNTRIESLBL, _                     ' handle of parent, control ID
                                 ghInstance, BYVAL %NULL)                             ' handle of instance, creation parameters
      SendMessage hWndChild, %WM_SETFONT, hFont, %TRUE
  End Select

  FUNCTION = DefWindowProc(hWnd, uMsg, wParam, lParam)

END FUNCTION

